Bug 167511 - Review Request: perl-Apache-Session
Summary: Review Request: perl-Apache-Session
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/Apache-Se...
Whiteboard:
Keywords:
: 167753 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 167755
TreeView+ depends on / blocked
 
Reported: 2005-09-03 20:36 UTC by Steven Pritchard
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-13 22:58:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steven Pritchard 2005-09-03 20:36:52 UTC
Spec Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Apache-Session/perl-Apache-Session.spec
SRPM Name or Url: http://ftp.kspei.com/pub/steve/rpms/perl-Apache-Session-1.6-1.src.rpm
Description:
These modules provide persistent storage for arbitrary data, in arbitrary
backing stores.  The details of interacting with the backing store are
abstracted to make all backing stores behave alike.  The programmer simply
interacts with a tied hash.

Comment 1 Tom "spot" Callaway 2005-09-07 23:35:10 UTC
You beat me to this one by four days. ;)

Review:

Good:
- rpmlint checks return nothing
- meets naming, packaging guidelines
- spec in am. english, legible
- source matches upstream
- compiles on devel (x86)
- no missing, unnecessary BR
- no libs, locales, docs, or need for -devel
- not relocatable
- no duplicate files
- permissions ok
- clean ok
- macro use consistent
- code not content
- nothing in %doc affects runtime
- no need for .desktop

Needswork:

- License is GPL or Artistic, not just Artistic.

- I don't see any reason to conditionalize %check. Just go ahead and run it (and
always use the BR)

- You probably want to use %{perl_vendorlib}/Apache/ instead of
%{perl_vendorlib}/* in %files, otherwise, you won't own the directories that are
created.

Post a fixed spec file and I'll approve this package.

Comment 2 Tom "spot" Callaway 2005-09-07 23:37:52 UTC
*** Bug 167753 has been marked as a duplicate of this bug. ***

Comment 3 Steven Pritchard 2005-09-08 18:43:40 UTC
Oddly, almost every .pm says "Distribute under the Artistic License" while
README says "Distribute under the same terms as Perl itself".  I saw the line in
Session.pm first.

So do we call it GPL/Artistic or just Artistic?

Comment 4 Tom "spot" Callaway 2005-09-08 19:06:42 UTC
Go with what the source says. Might not be a bad idea to point out the
discontinuity to upstream, but don't let it hold you back on this package.

Comment 5 Steven Pritchard 2005-09-12 23:44:59 UTC
(Sorry for the delay.  Apparently I forgot to submit this.)

Spec URL:
http://ftp.kspei.com/pub/steve/rpms/perl-Apache-Session/perl-Apache-Session.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Apache-Session-1.6-2.src.rpm

Comment 6 Tom "spot" Callaway 2005-09-13 14:17:17 UTC
APPROVED.


Note You need to log in before you can comment on or make changes to this bug.